package com.ruoyi.zongzhi.service;

import java.util.List;
import com.ruoyi.zongzhi.domain.TcNetworkEvaluate;

/**
 * 网评Service接口
 * 
 * @author ruoyi
 * @date 2023-08-10
 */
public interface ITcNetworkEvaluateService 
{
    /**
     * 查询网评
     * 
     * @param id 网评主键
     * @return 网评
     */
    public TcNetworkEvaluate selectTcNetworkEvaluateById(Long id);

    /**
     * 查询网评列表
     * 
     * @param tcNetworkEvaluate 网评
     * @return 网评集合
     */
    public List<TcNetworkEvaluate> selectTcNetworkEvaluateList(TcNetworkEvaluate tcNetworkEvaluate);

    /**
     * 新增网评
     * 
     * @param tcNetworkEvaluate 网评
     * @return 结果
     */
    public int insertTcNetworkEvaluate(TcNetworkEvaluate tcNetworkEvaluate);

    /**
     * 修改网评
     * 
     * @param tcNetworkEvaluate 网评
     * @return 结果
     */
    public int updateTcNetworkEvaluate(TcNetworkEvaluate tcNetworkEvaluate);

    /**
     * 批量删除网评
     * 
     * @param ids 需要删除的网评主键集合
     * @return 结果
     */
    public int deleteTcNetworkEvaluateByIds(Long[] ids);

    /**
     * 删除网评信息
     * 
     * @param id 网评主键
     * @return 结果
     */
    public int deleteTcNetworkEvaluateById(Long id);
}
